Monday, January 3, 2011

Cydia: Parsing dependency pre-depends

Cydia shows error: parsing dependency pre-depends

SSH'ing and doing apt-get update shows this:

Reading package lists... Error!
E: Problem parsing dependency Pre-Depends
E: Error occurred while processing com.sinfuliphone.adblocker (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/www.sinfuliphonerepo.com_._Packages
E: The package lists or status file could not be parsed or opened.

Problem is that Pre-Depends: is empty for some packages.
 Solution until sinful fixes things: 

rm /var/lib/apt/lists/www.sinfuliphonerepo.com_._Packages 

or remove pre-depends from adblocker and tlert in sinfulliphonerepo